Loading...
Searching...
No Matches
debug_stream_alignment.hpp File Reference

The seqan3::debug_stream_type overload in order to print alignments. More...

`#include <iomanip>`
`#include <tuple>`
`#include <seqan3/alignment/aligned_sequence/aligned_sequence_concept.hpp>`
`#include <seqan3/alphabet/views/to_char.hpp>`
`#include <seqan3/core/debug_stream/tuple.hpp>`
`#include <seqan3/utility/tuple/concept.hpp>`
`#include <seqan3/utility/views/slice.hpp>`
`#include <seqan3/utility/views/zip.hpp>`
Include dependency graph for debug_stream_alignment.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | seqan3::alignment_printer< alignment_t >
| The printer for alignment. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Detailed Description

The seqan3::debug_stream_type overload in order to print alignments.

Author
  Rene Rahn <rene.rahn AT fu-berlin.de>

Hide me